Subject: RE: Consensus? #733 Outsourcing principle

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 13 Jan 2005 17:42:12 +0100

> Brian E Carpenter <[email-masked]> writes:
> 
> > EKR wrote:
> >> Harald Tveit Alvestrand <[email-masked]> writes:
> >>
> >>>John Klensin suggested the following text for the first sentence, and
> >>>Scott Bradner supported the idea:
> >>>
> >>>In principle, IETF administrative functions should be
> >>>outsourced. Decisions to perform specific functions
> >>>"in-house" should be explicitly justified by the IAOC
> >>>and restricted to the minimum staff required, with these
> >>>decisions and staffing reviewed by the IAOC on a regular
> >>>basis and against a "zero base" assumption.
> >>>
> >>>We have to adjust the second sentence (referring to "such contracts"
> >>>would become ambiguous), so the total paragraph becomes:
> >>>
> >>>   In principle, IETF administrative functions should be
> >>>   outsourced. Decisions to perform specific functions
> >>>   "in-house" should be explicitly justified by the IAOC
> >>>   and restricted to the minimum staff required, with these
> >>>   decisions and staffing reviewed by the IAOC on a regular
> >>>   basis and against a "zero base" assumption.
> >>>
> >>>   The IAD is responsible for negotiating and maintaining outsourcing
> >>>   contracts, as well as providing any coordination necessary to make
> >>>   sure the IETF administrative support functions are covered properly.
> >>>   The IAOC is accountable for the structure of the IASA and thus
> >>>   decides which functions are to be outsourced.  All outsourcing must
> >>>   be via well-defined contracts or equivalent instruments.  Both
> >>>   outsourced and in-house functions must be clearly specified and
> >>>   documented with well-defined deliverables, service level agreements,
> >>>   and transparent accounting for the cost of such functions.
> >>>
> >>>Is that OK with everyone? Case closed?
> >>>
> >> Sorry to be difficult, but no.
> >> I'd like people to explain why they think that the BCP should impose
> >> a bias towards outsourcing as opposed towards doing things in the
> >> most efficient way possible.
> >
> > I have sympathy with that view, especially since outsourcing can lead
> > to egregious results if you do it wrong (just think "billable hours").
> > But on the other hand, we want to discourage egregious bloat of direct
> > staff posts (I could give some examples, but then I would probably
> > get sued). 
> 
> We definitely do want to discourage egregious bloat of direct staff
> posts, but we also want to discourage egregious bloat at the
> contractors we outsource to. I'm not sure why people think there
> is more risk of one than the other.
> 

With the outsourcing model, my underastanding is that we want to do it
via an RFP process, and so that would help (I hope) reduce bloat.

Bert

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Thu, 13 Jan 2005 13:02:06 -0500

--On Thursday, 13 January, 2005 17:42 +0100 "Wijnen, Bert
(Bert)" <[email-masked]> wrote:

>> We definitely do want to discourage egregious bloat of direct
>> staff posts, but we also want to discourage egregious bloat
>> at the contractors we outsource to. I'm not sure why people
>> think there is more risk of one than the other.
>> 
> 
> With the outsourcing model, my underastanding is that we want
> to do it via an RFP process, and so that would help (I hope)
> reduce bloat.

Bert,

It is not easy to write really good RFPs.   Indeed, it is
generally quite hard.  Perhaps more important in this context,
normal RFPs are good at explaining to would-be bidders or
contractors what will be expected, but don't necessarily provide
good explanations of why we would want it done or how we justify
it.   If poor RFPs go out, or poor contracts are written, we end
up with contractor-management or renegotiation problems that are
typically more difficult than employee job descriptions and
contracts, since the latter usually include "such additional
tasks as required" clauses.  No sensible external contractor
agrees to such a clause without the ability to renegotiate the
agreement, demand additional fees, etc.  A comitment to an RFP
process does ensure that the IASA puts resources into
RFP-writing, RFP-evaluating, and similar activities that may be
useful but may not, for a given situation be, to use EKR's term,
efficient.

If we get multiple bidders on the same well-written RFP, we can
perhaps expect them to compete to produce the lowest price or
fewest staff needed to meet the RFP/contract provisions.
However, the Internet community had not had wonderful
experiences with "low bid" contracting, especially if the RFPs
are not exceptionally well written: getting the job done well is
often more important than getting the job done at the minimal
level needed to conform to an RFP or contract.

So, with or without "an RFP process", we are back to needing to
trust the judgment and skills of the IAD and IAOC, with the
remedy of firing the latter if they screw up often enough.  An
RFP process followed by an outsourcing contract does require
that expectations be written down.  That is a good thing, but
there might be other, more efficient, ways to accomplish it in
some cases.   And, again, it doesn't help much to assure us that
sensible decisions are being made about bloat-minimization: that
is a program analysis and evaluation function, not an RFP one.

    john

---

From: Carl Malamud <[email-masked]>
Date: Thu, 13 Jan 2005 11:16:00 -0800 (PST)

John makes a very good point.  I prefer to think of these types of
documents as a "Request for Information" (RFI), which is a common
contracting mechanism.  It allows vendors to make general presentations
about their capabilities, and that allows the host institution to
put together a "short list" of potential contractors with whom
they can engage in serious discussions.  Those discussions then
result in negotiations and, hopefully, the selection of a vendor
and the execution of a contract.

The RFI ensures that everybody knows this opportunity is there.
That's different than a binding RFP where criteria for selection
(e.g., "10 points for lowest cost, 10 points for technical
aptitude") are published in advance and then applied based on
the proposals submitted.

Regards,

Carl